Antiprism 0.23

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Functions

# base/geom.h File Reference

Classes to represent a geometry. More...

`#include <vector>`
`#include <map>`
`#include <string>`
`#include "mat3d.h"`
`#include "vec_utils.h"`
`#include "col_geom.h"`
Include dependency graph for geom.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | geom_if
| Geometry Interface. More...
class | geom_v
| Geometry that holds the elements by value. More...
class | col_geom_v
| Geometry with coloured elements. More...
## Functions
vector< int > | make_edge (int v_idx1, int v_idx2)
| Make an edge from vertex index numbers.

## Detailed Description

Classes to represent a geometry.

## Function Documentation

vector<int> make_edge | ( | int | v_idx1,
|  | int | v_idx2
| ) |  |

Make an edge from vertex index numbers.

Parameters:

  v_idx1 | index number of first vertex.
  v_idx2 | index number of second vertex.

Returns:
  edge containg index numbers in numerical order.